struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "victorsosa (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (WW-2157) Update Struts1 plugin to support using Struts 1 tag libraries in JSP pages
Date Thu, 07 Jan 2016 13:42:40 GMT

    [ https://issues.apache.org/jira/browse/WW-2157?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15087358#comment-15087358
] 

victorsosa commented on WW-2157:
--------------------------------

Struts1 plugin is deprecated for struts 2.5, we can close this.

> Update Struts1 plugin to support using Struts 1 tag libraries in JSP pages
> --------------------------------------------------------------------------
>
>                 Key: WW-2157
>                 URL: https://issues.apache.org/jira/browse/WW-2157
>             Project: Struts 2
>          Issue Type: Improvement
>          Components: Plugin - Mechanism
>            Reporter: James Holmes
>             Fix For: Future
>
>
> Currently the Struts1 plugin only provides the ability to run Struts 1 actions in a Struts
2 application. It would be much easier for existing applications to migrate to Struts 2 if
they did not have to convert all of their JSPs to use the Struts 2 tag library tags instead
of Struts 1 tag library tags.
> The main issue is that the Struts 1 tags are expecting some of the Struts 1 infrastructure
to be in place - mainly the ModuleConfig info I believe.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message